<?php 

class modInstancesController {
  private $model;
    
  public function __construct(modInstances $model) {
    $this->model = $model;
  }

  public function instances($request) {
    if (isset ($request['ci_id']))
      $this->model->setInit($request['ci_id'], $request['instance'], $request['location']);
  }
  
  public function properties ($request) {
    if (isset ($request['ce_id']))
      $this->model->setEntry($request['ce_id'], $request['ci_id'], $request['property'], $request['setting']);
  } 

  }
?>